%define upstream_name    MooseX-Types-Structured
%define upstream_version 0.34

%{?perl_default_filter}
# Remove underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::PartialDump\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Structured type constraints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(MooseX::Meta::TypeCoercion::Structured)
Provides:   perl(MooseX::Meta::TypeConstraint::Structured)

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(Devel::PartialDump) >= 0.130.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.30.0
BuildRequires: perl(Moose) >= 1.80.0
BuildRequires: perl(Moose::Meta::TypeCoercion)
BuildRequires: perl(Moose::Meta::TypeConstraint)
BuildRequires: perl(Moose::Meta::TypeConstraint::Parameterizable)
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.60.0
BuildRequires: perl(MooseX::Types) >= 0.220.0
BuildRequires: perl(MooseX::Types::DateTime)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter) >= 0.982.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
Requires:       perl(Devel::PartialDump) >= 0.13
# hidden from PAUSE, but need to be available
Provides:       perl(MooseX::Meta::TypeCoercion::Structured) = %{version}
Provides:       perl(MooseX::Meta::TypeCoercion::Structured::Optional) = %{version}
Provides:       perl(MooseX::Meta::TypeConstraint::Structured) = %{version}
Provides:       perl(MooseX::Meta::TypeConstraint::Structured::Optional) = %{version}
Provides:       perl(MooseX::Types::Structured::MessageStack) = %{version}
Provides:       perl(MooseX::Types::Structured::OverflowHandler) = %{version}

BuildArch:  noarch

%description
A structured type constraint is a standard container the Moose manpage type
constraint, such as an ArrayRef or HashRef, which has been enhanced to
allow you to explicitly name all the allowed type constraints inside the
structure. The generalized form is:

    TypeConstraint[@TypeParameters or %%TypeParameters]

Where 'TypeParameters' is an array or hash of the
Moose::Meta::TypeConstraint manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/MooseX


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.340.0-4pclos2017
- rebuild against updates

